Subject: [sup-talk] Introduction, thanks, and a tiny patch

From: [email-masked] (Carl Worth)
Date: Fri, 14 Aug 2009 21:05:32 -0700

Hi. My name's Carl, and I've uh, been collecting email for 12 years.

First off, I want to thank William and all contributors for sup! I
just started using it this morning, and I'm amazed by it. I've long
been frustrated by wrong-headed email systems, and also long been
dreaming of one done right, (entirely label-and-search-based and
focused on threads as the primary unit, bonus points if the UI is 100%
keyboard-driven and integrates with emacs). What a dream come true to
find sup!

In my first use of sup, I was surprised by two things immediately:

   1. Most text is white-on-white (invisible) if the default terminal
      background color is white. I would suggest that the default
      background color be changed from "default" to "black" to avoid
      this trap.

   2. All of the mail I imported from various maildir folders was
      labelled as "unread", (in spite of the fact that a large
      majority of it had the 'S' tag for "seen" in the maildir
      filename). I tracked this down to my maildir filenames
      containing ',' characters to the left of the ':' like so:

1250158845.M979457P4354V000000000000FE01I001B8B56_0.yoom,S=46114:2,S

I've attached a patch to fix this second issue, (a single-character
change).

As for my involvement with sup, here are a couple of things I'd like
to help with:

   1. I love the NewUserGuide, but I've needed a ReferenceManual for
      various issues already, (configuring colors, configuring SMTP,
      understanding the sources.yaml file well enough to be able to
      re-process mail that was mis-labelled the first time,
      etc.).

      The wiki has been useful for much of this already, but I'd like
      to have some of this information more cleanly organized, and
      perhaps distributed as plain-text in alongside the user
      guide. So I'd like to try pulling some existing information
      together, organizing things, and also identifying missing
      sections.

      One potential issue is that I don't see any explicit license
      terms on the wiki. Can I assume that any text on the wiki is
      suitable for putting into a document to be contributed to and
      distributed with sup?

   2. I really like the ideas William has posted on his blog about
      separating the interface from the guts of sup, (to make the new
      STS). I'd be happy to help with that as well if possible.

-Carl
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0001-maildir-Allow-in-the-unique-name-portion-of-a-maildi.patch
Type: application/octet-stream
Size: 1097 bytes
Desc: not available
URL: <http://rubyforge.org/pipermail/sup-talk/attachments/20090814/bb1094e7/attachment.obj>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 235 bytes
Desc: not available
URL: <http://rubyforge.org/pipermail/sup-talk/attachments/20090814/bb1094e7/attachment.bin>